Uploaded image for project: 'Sentry (Retired)'
  1. Sentry (Retired)
  2. SENTRY-1845

LOAD + OVERWRITE not supported in Hive v2. plugin

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.8.0
    • Component/s: None
    • Labels:
      None

      Description

      The Hive v.2 plugin does not work when "OVERWRITE" is used with LOAD:

      Caused by: org.apache.hadoop.hive.ql.security.authorization.plugin.HiveAuthzPluginException: this command LOAD DATA INPATH '/home/colm/src/testcases/apache/bigdata/hive/target/wordcountout.txt' OVERWRITE INTO TABLE words is not match table meta grammar
      at org.apache.sentry.binding.hive.v2.util.SimpleSemanticAnalyzer.parseLoadTable(SimpleSemanticAnalyzer.java:282)

        Attachments

        1. SENTRY-1845.patch
          3 kB
          Colm O hEigeartaigh

          Issue Links

            Activity

              People

              • Assignee:
                coheigea Colm O hEigeartaigh
                Reporter:
                coheigea Colm O hEigeartaigh
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: